Subject: Re: bug#62994: [PATCH v7] Add support for colored and styled underlines on tty frames

From: Po Lu <[email-masked]>
Date: Tue, 23 Apr 2024 08:53:20 +0800

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> Date: Mon, 22 Apr 2024 08:44:15 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> > * src/xterm.c (x_draw_glyph_string): Updated to use renamed
>> > FACE_UNDERLINE_SINGLE and FACE_UNDERLINE_WAVE face_underline_type
>> > enumerations.
>> 
>> This change should be accompanied by like updates to
>> *_draw_glyph_string
>> and related functions in the remaining terminal backends.
>
> I believe Jim Porter wanted to work on that.  Jim, have you made any
> progress in this matter?
>
> In any case, given that implementing this for GUI displays should not
> be a problem, I don't see a reason to block this changeset until the
> GUI parts are done.  Hopefully, Jim or someone else will get it ready
> soon.

I wasn't asking that the new underline styles be ported to other
backends, but that the change to account for renamed enumerator values
be ported to the remainder of the *term.[cm] files.  Without which they
will fail to compile, which goes without saying.